## org.eclipse.m2m.qvt.oml.runtime.util
Interface QvtoTransformationHelper.ModelExtent

Enclosing class:
  QvtoTransformationHelper

    public static interface QvtoTransformationHelper.ModelExtent

This interface provides read-only access to the contents of a model extent.

Method Summary
`java.util.List<EObject>` `getAllRootElements()` Gets all the root objects of the current extent contents.
`java.util.List<EObject>` `getInitialElements()` Gets the elements which were initially contained at the creation time of this extent.

Method Detail

### getInitialElements

    java.util.List<EObject> getInitialElements()

  Gets the elements which were initially contained at the creation time of this extent.

### getAllRootElements

    java.util.List<EObject> getAllRootElements()

  Gets all the root objects of the current extent contents. Note: The result may include the original objects if not removed or moved to container.

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.